### Class

# WPEPlatformWayland ToplevelWayland

#### Description

    final class WPEPlatformWayland.ToplevelWayland : WPEPlatform.Toplevel
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEToplevel
- GObject

#### Constructors

###### wpe_toplevel_wayland_new

Create a new `WPEToplevel` on `display`.

#### Instance methods

###### wpe_toplevel_wayland_get_wl_surface

Get the native Wayland surface of `toplevel`.

##### Methods inherited from WPEToplevel (22)

###### wpe_toplevel_closed

Set `toplevel` as closed if not already closed.

###### wpe_toplevel_foreach_view

Call `func` for each `WPEView` of `toplevel`.

###### wpe_toplevel_fullscreen

Request that the `toplevel` goes into a fullscreen state.

###### wpe_toplevel_get_display

Get the `WPEDisplay` of `toplevel`.

###### wpe_toplevel_get_max_views

Get the maximum number of `WPEView` that `toplevel` can contain.

###### wpe_toplevel_get_n_views

Get the number of `WPEView` contained by `toplevel`.

###### wpe_toplevel_get_preferred_dma_buf_formats

Get the list of preferred DMA-BUF buffer formats for `toplevel`.

###### wpe_toplevel_get_scale

Get the `toplevel` scale.

###### wpe_toplevel_get_screen

Get current `WPEScreen` of `toplevel`.

###### wpe_toplevel_get_size

Get the `vtoplevel` size in logical coordinates.

###### wpe_toplevel_get_state

Get the current state of `toplevel`.

###### wpe_toplevel_maximize

Request that the `toplevel` is maximized. If the toplevel is already maximized this function does nothing.

###### wpe_toplevel_minimize

Request that the `toplevel` is minimized.

###### wpe_toplevel_preferred_dma_buf_formats_changed

Notify that `toplevel` preferred DMA-BUF formats have changed.

###### wpe_toplevel_resize

Request that the `toplevel` is resized at `width` x `height`.

###### wpe_toplevel_resized

Update `toplevel` size.

###### wpe_toplevel_scale_changed

Update the `toplevel` scale.

###### wpe_toplevel_screen_changed

Notify that `toplevel` screen has changed.

###### wpe_toplevel_set_title

Set the `toplevel` title.

###### wpe_toplevel_state_changed

Update the current state of `toplevel`.

###### wpe_toplevel_unfullscreen

Request that the `toplevel` leaves a fullscreen state.

###### wpe_toplevel_unmaximize

Request that the `toplevel` is unmaximized. If the toplevel is not maximized this function does nothing.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEToplevel (1)

###### WPEPlatform.Toplevel:display

The `WPEDisplay` of the toplevel.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformWaylandToplevelWaylandClass {
      WPEToplevelClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEToplevelClass`

  No description available.